/'
	
	EliteGameEngine - 2D Game Engine in FreeBASIC
	
	
	libraries used:

		GFXLib 2 
			- Copyright (c) 2004 - 2007 The FreeBASIC development Team
			  http://www.freebasic.net
			
		FbPng 1.9.0 
			- Copyright (c) 2007 Simon Nash
			  http://www.freebasic.net/arch/file.php?id=23
	
	
	version history:
	
		0.1.060408.d	- first draft version released 

	
	developers (EliteGames Team):
		
		Aleksandar Ruzicic	< ruzicic.aleksandar@gmail.com >
		Stefan Kostic		< stefanpn@gmail.com >
		Aleksandar Vasic	< acikav@kalik.co.yu >
	
	
	licence:
		
		Copyright (c) 2008 EliteGames Team

		Permission is hereby granted, free of charge, to any person obtaining a copy
		of this software and associated documentation files (the "Software"), to deal
		in the Software without restriction, including without limitation the rights
		to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
		copies of the Software, and to permit persons to whom the Software is
		furnished to do so, subject to the following conditions:
		
		The above copyright notice and this permission notice shall be included in
		all copies or substantial portions of the Software.
		
		THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
		IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
		FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
		AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
		LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
		OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
		THE SOFTWARE.
		
		
		The licence (including the copyright notice) applyes to all files in this 
		distribution which have following notice (on top of that file):
		
			"This file is part of EliteGameEngine source distribution"
	
'/


#Ifndef __EGE_MAIN__
#Define __EGE_MAIN__

	#Include Once "fbgfx.bi"				' GFXLib 2
	#Include Once "fbpng.bi"				' FbPng	(using static prebuilt version is recomended)

Namespace Elite
	
	Enum Boolean
		False 	= 0
		True  	= Not False
	End Enum
	
	
	Declare Function Random(min As Integer = 0, max As Integer = 10) As Integer
	Declare Function LastRandom As Integer
	
	
	#Include Once "ege/event.bas"			' CreateEvent macro (not in Elite namespace - cuz it's macro)
	#Include Once "ege/engine.bas"			' Engine namespace
	
	
	Function Random(min As Integer = 0, max As Integer = 10) As Integer
		Return Int(Rnd * (max - min + 1)) + min
	End Function
	
	Function LastRandom As Integer
		Return Rnd(0)
	End Function

End Namespace

#EndIf